### Method

# FwupdPlugin Device get_proxy

since: 1.4.1

#### Declaration [src]

    FuDevice*
    fu_device_get_proxy (
      FuDevice* self
    )

#### Description [src]

Gets any proxy device. A proxy device can be used to perform an action on behalf of another device, for instance attach()ing it after a successful update.

Unless `FU_DEVICE_INTERNAL_FLAG_REFCOUNTED_PROXY` is set, the proxy object is not refcounted and if destroyed this function will then return `NULL`.

Available since: 1.4.1

Gets property | `FwupdPlugin.Device:proxy`

#### Return value

Type: `FuDevice`

A device or `NULL`.

The data is owned by the instance.